<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:p="http://www.springframework.org/schema/p"
       xmlns:http="http://cxf.apache.org/transports/http/configuration"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="ehriCollectorPlugin" class="eu.dnetlib.data.collector.plugins.ariadneplus.ehri.EHRICollectorPlugin" p:ehriIteratorFactory-ref="ehriIteratorFactory">
		<property name="protocolDescriptor">
			<bean class="eu.dnetlib.rmi.data.ProtocolDescriptor" p:name="ehri">
				<property name="params">
					<list>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="suffixToBaseUrl"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="graphQLURL"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="graphQLQuery"/>
					</list>
				</property>
			</bean>
		</property>
	</bean>

	<bean id="ehriIteratorFactory" class="eu.dnetlib.data.collector.plugins.ariadneplus.ehri.EHRIIteratorFactory"/>
	<bean id="ehriGraphQLClient" class="eu.dnetlib.data.collector.plugins.ariadneplus.ehri.EHRIGraphQLClient"/>

	<bean id="isidoreCollectorPlugin" class="eu.dnetlib.data.collector.plugins.ariadneplus.isidore.IsidoreCollectorPlugin">
		<property name="protocolDescriptor">
			<bean class="eu.dnetlib.rmi.data.ProtocolDescriptor" p:name="isidore">
				<property name="params">
					<list>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="queryParams"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="pageParam"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="startFromPage"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="nextPagePath"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="pageSizeParam"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="pageSize"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="resultTotalXpath"/>
						<bean class="eu.dnetlib.rmi.data.ProtocolParameter"
						      p:name="entityXpath"/>
					</list>
				</property>
			</bean>
		</property>
	</bean>
</beans>
